const APP_NAME = "batchdownload";
const APP_PACKAGE = "batchdownload.mozdev.org";
const APP_DISPLAY_NAME = "BatchDownload";
const APP_JAR_FILE = "batchdownload.jar";

const APP_VERSION = "1.2.2";
const APP_LOCALES = ["zh-CN","zh-TW","hr-HR","nl-NL","en-US","fr-FR","de-DE","it-IT","ja-JP","kn-IN","ko-KR","pl-PL","pt-BR","sk-SK","es-AR","es-ES","sv-SE","tr-TR","sr-YU"];

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var err =  addFile(APP_PACKAGE, APP_VERSION, "chrome/" + APP_JAR_FILE, getFolder("chrome"), null);

if (err == SUCCESS) 
{
	 const chromeFlag = DELAYED_CHROME;	//must be this for zh-CN working right!
 	var jar = getFolder(getFolder("chrome"), APP_JAR_FILE);

   	registerChrome(CONTENT | chromeFlag, jar, "content/");
   	registerChrome(SKIN | chromeFlag, jar, "skin/");

   	for (var i=0 ; i<APP_LOCALES.length ; i++) 
	{
      		registerChrome(LOCALE | chromeFlag, jar, "locale/" + APP_LOCALES[i] + "/");
   	}
	err = performInstall();

   	if (err == SUCCESS || err == 999)
 	{
	}
	 else 
	{
      		alert("Install failed! Error code: " + err);
      		cancelInstall(err);
   	}
}
 else
{
   alert("Failed to install " + APP_DISPLAY_NAME + " " + APP_VERSION + "\n"
       + "You probably don't have appropriate permissions \n"
       + "(write access to chrome(system) directory).\n");
	   cancelInstall(err);
}
